Skip to main content
PUT
/
api
/
v2
/
projects
/
{projectKey}
/
experimentation-settings
Update experimentation settings
curl --request PUT \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/experimentation-settings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "randomizationUnits": [
    {
      "randomizationUnit": "user",
      "default": true,
      "standardRandomizationUnit": "user"
    }
  ]
}
'
{
  "_projectId": "12345abcde67890fghij",
  "_projectKey": "project-key-123abc",
  "randomizationUnits": [
    {
      "randomizationUnit": "user",
      "default": true,
      "_hidden": true,
      "_displayName": "User"
    }
  ],
  "_creationDate": "1654104600000",
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

Body

application/json
randomizationUnits
object[]
required

An array of randomization units allowed for this project.

Response

Experimentation settings response

_projectId
string

The project ID

Example:

"12345abcde67890fghij"

_projectKey
string

The project key

Example:

"project-key-123abc"

randomizationUnits
object[]

An array of the randomization units in this project

_creationDate
integer<int64>

Timestamp of when the experiment was created

Example:

"1654104600000"

The location and content type of related resources